/*
 * 2002-01-07
 */

#define REX5055_MINOR	0

	/* ioctl's use magic number of 0xD0 */
#define REXDIO_MAGIC     0xD0

        /* Set Control Reg. */
#define REXDIO_SETCTRL   _IOW(REXDIO_MAGIC, 0x01, 1)
        /* Set Mask Reg.    */
#define REXDIO_SETMASK   _IOW(REXDIO_MAGIC, 0x02, 1)
        /* Get Mask Reg.    */
#define REXDIO_GETMASK   _IOR(REXDIO_MAGIC, 0x03, 1)

        /* Out high byte (8-15) */
#define REXDIO_OUT_HIGHBYTE   _IOW(REXDIO_MAGIC, 0x10, 1)
        /* In high byte (8-15) */
#define REXDIO_IN_HIGHBYTE    _IOR(REXDIO_MAGIC, 0x11, 1)
        /* Out low byte (0-7) */
#define REXDIO_OUT_LOWBYTE    _IOW(REXDIO_MAGIC, 0x12, 1)
        /* In low byte (0-7) */
#define REXDIO_IN_LOWBYTE     _IOR(REXDIO_MAGIC, 0x13, 1)
        /* Out word */
#define REXDIO_OUT_WORD       _IOW(REXDIO_MAGIC, 0x14, 2)
        /* In word */
#define REXDIO_IN_WORD        _IOR(REXDIO_MAGIC, 0x15, 2)

        /* Poll IRQ Status */
#define REXDIO_IRQSTAT        _IOR(REXDIO_MAGIC, 0x20, 1)
        /* Set IRQ Response */
#define REXDIO_IRQRESPONSE    _IOW(REXDIO_MAGIC, 0x21, 2)

